# Julien Antille, Thomas Nagy, 2005
# BSD license (see COPYING)

BOLD   ="\033[1m"
RED    ="\033[91m"
GREEN  ="\033[92m"
YELLOW ="\033[93m"
CYAN   ="\033[96m"
NORMAL ="\033[0m"

def exists(env):
	return true

def generate(env):
	""" Detect the graphviz package """

	from SCons.Options import Options
	cachefile = env['CACHEDIR']+'/graphviz.cache.py'
	opts = Options(cachefile)
	opts.AddOptions(
		( 'HASDOT', 'has the graphviz package' ),
	)
	opts.Update(env)

	if  not env.has_key('HASDOT'):
		print "Checking for graphviz             : ",
		import os
		
		dot = os.popen("which dot 2>/dev/null").read().strip()
		if len(dot):
			print GREEN+"dot was found"+NORMAL
			env['HASDOT']=1
		else:
			print RED+"dot was NOT found in your PATH"+NORMAL
			print "Make sure graphviz is installed properly"
			print "(missing package graphviz?)"
			env.Exit(1)
		
		
	opts.Save(cachefile, env)
